import request from '@/utils/request'

// 查询碳排放预测列表
export function listForecastCa(query) {
  return request({
    url: '/ems/forecastCa/list',
    method: 'get',
    params: query
  })
}

// 查询碳排放预测详细
export function getForecastCa(id) {
  return request({
    url: '/ems/forecastCa/' + id,
    method: 'get'
  })
}

// 新增碳排放预测
export function addForecastCa(data) {
  return request({
    url: '/ems/forecastCa',
    method: 'post',
    data: data
  })
}

// 修改碳排放预测
export function updateForecastCa(data) {
  return request({
    url: '/ems/forecastCa',
    method: 'put',
    data: data
  })
}

// 删除碳排放预测
export function delForecastCa(id) {
  return request({
    url: '/ems/forecastCa/' + id,
    method: 'delete'
  })
}
